Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.lib.sql
Class SQLErrorDocument

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMDefaultBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseTraversers
                  |
                  +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators
                        |
                        +--org.apache.xalan.lib.sql.DTMDocument
                              |
                              +--org.apache.xalan.lib.sql.SQLErrorDocument

public class SQLErrorDocument
extends DTMDocument

The SQL Document is the main controlling class the executesa SQL Query

Inner classes inherited from class org.apache.xalan.lib.sql.DTMDocument
`DTMDocument.CharacterNodeHandler`

Constructor Summary
`SQLErrorDocument(DTMManager mgr, int ident, java.lang.Exception error)` Build up an Error Exception with just the Standard Error Information
`SQLErrorDocument(DTMManager mgr, int ident, java.sql.SQLException error)` Build up an SQLErrorDocument that includes the basic error information along with the Extended SQL Error information.

Methods inherited from class org.apache.xalan.lib.sql.DTMDocument
`appendChild, appendTextChild, dispatchCharactersEvents, dispatchToEvents, dumpDTM, getAttributeNode, getAxisIterator, getAxisTraverser, getContentHandler, getDeclHandler, getDocument, getDocumentAllDeclarationsProcessed, getDocumentBaseURI, getDocumentEncoding, getDocumentStandalone, getDocumentSystemIdentifier, getDocumentTypeDeclarationPublicIdentifier, getDocumentTypeDeclarationSystemIdentifier, getDocumentVersion, getDTDHandler, getElementById, getEntityResolver, getErrorHandler, getExpandedTypeID, getExpandedTypeID, getFirstAttribute, getFirstChild, getFirstNamespaceNode, getLastChild, getLevel, getLexicalHandler, getLocalName, getLocalNameFromExpandedNameID, getNamespaceFromExpandedNameID, getNamespaceType, getNamespaceURI, getNextAttribute, getNextNamespaceNode, getNextSibling, getNode, getNodeName, getNodeNameX, getNodeType, getNodeValue, getOwnerDocument, getParent, getPrefix, getPreviousSibling, getSourceLocatorFor, getStringValue, getStringValueChunk, getStringValueChunkCount, getTypedAxisIterator, getUnparsedEntityURI, hasChildNodes, isAttributeSpecified, isCharacterElementContentWhitespace, isDocumentAllDeclarationsProcessed, isNodeAfter, isSupported, needsTwoThreads, setDocumentBaseURI, setFeature, setProperty, supportsPreStripping`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBase
`documentRegistration, documentRelease, dumpDTM, dumpNode, getDocumentRoot, getDTMIDs, getManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLErrorDocument

    public SQLErrorDocument(DTMManager mgr,
                            int ident,
                            java.sql.SQLException error)

  Build up an SQLErrorDocument that includes the basic error information along with the Extended SQL Error information.
  Parameters:
    `mgr` -
    `ident` -
    `error` -

### SQLErrorDocument

    public SQLErrorDocument(DTMManager mgr,
                            int ident,
                            java.lang.Exception error)

  Build up an Error Exception with just the Standard Error Information
  Parameters:
    `mgr` -
    `ident` -
    `error` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.